export interface ReadonlyURLSearchParams extends Iterable<[string, string]> {
    entries(): IterableIterator<[string, string]>;
    forEach(callback: (value: string, name: string, searchParams: this) => void): void;
    get(name: string): string | null;
    getAll(name: string): string[];
    has(name: string): boolean;
    keys(): IterableIterator<string>;
    toString(): string;
    values(): IterableIterator<string>;
    [Symbol.iterator](): IterableIterator<[string, string]>;
}
export interface ReadonlyURL {
    readonly hash: string;
    readonly host: string;
    readonly hostname: string;
    readonly href: string;
    readonly origin: string;
    readonly password: string;
    readonly pathname: string;
    readonly port: string;
    readonly protocol: string;
    readonly search: string;
    readonly searchParams: ReadonlyURLSearchParams;
    readonly username: string;
    toString(): string;
    toJSON(): string;
}
export interface Furi extends ReadonlyURL {
    readonly host: "";
    readonly hostname: "";
    readonly password: "";
    readonly port: "";
    readonly protocol: "file:";
}
export declare function toSysPath(furi: string): string;
export declare function toWindowsPath(furi: string): string;
export declare function toPosixPath(furi: string): string;
export declare function fromSysPath(path: string): Furi;
export declare function fromWindowsPath(path: string): Furi;
export declare function fromPosixPath(path: string): Furi;
